Skip to main content
GET
/
memberships
/
cp
/
api
/
subscription-contract-details
/
{contractId}
/
pending-downgrade
Get pending downgrade
curl --request GET \
  --url https://www.myshop.com/apps/memberships/cp/api/subscription-contract-details/{contractId}/pending-downgrade
{
  "shop": "<string>",
  "contractId": 123,
  "waitTillTimestamp": "<string>",
  "oldLineId": "<string>",
  "oldVariantId": "<string>",
  "newVariantId": "<string>",
  "sellingPlanId": "<string>",
  "sellingPlanName": "<string>",
  "oldPrice": 123,
  "newPrice": 123,
  "newCustomerTag": "<string>",
  "oldCustomerTags": "<string>",
  "newOrderTag": "<string>",
  "eventSource": "<string>",
  "retryCount": 123,
  "customerId": 123,
  "executionArn": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://appstleinc-aeca3e0a.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

contractId
integer<int64>
required

Response

200 - */*

OK

shop
string
contractId
integer<int64>
waitTillTimestamp
string
oldLineId
string
oldVariantId
string
newVariantId
string
sellingPlanId
string
sellingPlanName
string
oldPrice
number<double>
newPrice
number<double>
newCustomerTag
string
oldCustomerTags
string
newOrderTag
string
eventSource
string
retryCount
integer<int32>
customerId
integer<int64>
executionArn
string